felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kjell Otto <otto.kj...@gmail.com>
Subject A fresh installation of webconsole can't resolve javax.servlet
Date Wed, 26 Sep 2012 14:00:32 GMT
I've installed the maven pax constructs and used them to generate my
project like this:

mvn org.ops4j:maven-pax-plugin:create-project
-DgroupId=org.livingplace -DartifactId=controlling-action.api

Then I've installed the apache felix webconsole like this:

mvn pax:import-bundle -DgroupId=org.apache.felix
-DartifactId=org.apache.felix.webconsole -Dversion=4.0.0
-DimportTransitive=true -DimportOptional=true -DwidenScope=true

And next, I've installed the project and ran it with:

mvn install pax:provision

The pax runner starts the felix environment and fires up all the
bundles the webconsole is missing except javax.servlet.
Maybe it has something to do with the File Upload bundle too?

These are the errors I see at the console:

ERROR: Bundle org.apache.felix.webconsole [1] Error starting
file:bundles/org.apache.felix.webconsole_4.0.0.jar
(org.osgi.framework.BundleException: Unresolved constraint in bundle
org.apache.felix.webconsole [1]: Unable to resolve 1.0: missing
requirement [1.0] osgi.wiring.package;
(&(osgi.wiring.package=javax.servlet)(version>=2.4.0)))
org.osgi.framework.BundleException: Unresolved constraint in bundle
org.apache.felix.webconsole [1]: Unable to resolve 1.0: missing
requirement [1.0] osgi.wiring.package;
(&(osgi.wiring.package=javax.servlet)(version>=2.4.0))
        at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3826)
        at org.apache.felix.framework.Felix.startBundle(Felix.java:1868)
        at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1191)
        at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:295)
        at java.lang.Thread.run(Thread.java:680)
ERROR: Bundle org.apache.commons.fileupload [2] Error starting
file:bundles/org.apache.commons.fileupload_1.2.1.jar
(org.osgi.framework.BundleException: Unresolved constraint in bundle
org.apache.commons.fileupload [2]: Unable to resolve 2.0: missing
requirement [2.0] osgi.wiring.package;
(osgi.wiring.package=javax.servlet))
org.osgi.framework.BundleException: Unresolved constraint in bundle
org.apache.commons.fileupload [2]: Unable to resolve 2.0: missing
requirement [2.0] osgi.wiring.package;
(osgi.wiring.package=javax.servlet)
        at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3826)
        at org.apache.felix.framework.Felix.startBundle(Felix.java:1868)
        at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1191)
        at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:295)
        at java.lang.Thread.run(Thread.java:680)


Any hints? I have already tried to install the javax.servlet with:

mvn pax:import-bundle -DgroupId=javax.servlet -DartifactId=servlet-api
-Dversion=2.4

But this hasn't helped neither.

Greetings,
Kjellski

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message